Update gateway
curl --request PATCH \
--url https://api.coreweave.com/v1alpha1/inference/gateways/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"zones": [
"<string>"
],
"coreWeaveAuth": {},
"weightsAndBiasesAuth": {
"apiKey": "<string>",
"serverUrl": "<string>",
"enableUsageReports": true,
"enableRateLimiting": true
},
"endpointConfiguration": {
"additionalDns": [
"<string>"
]
},
"pathBasedRouting": {}
}
'import requests
url = "https://api.coreweave.com/v1alpha1/inference/gateways/{id}"
payload = {
"id": "<string>",
"name": "<string>",
"zones": ["<string>"],
"coreWeaveAuth": {},
"weightsAndBiasesAuth": {
"apiKey": "<string>",
"serverUrl": "<string>",
"enableUsageReports": True,
"enableRateLimiting": True
},
"endpointConfiguration": { "additionalDns": ["<string>"] },
"pathBasedRouting": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
zones: ['<string>'],
coreWeaveAuth: {},
weightsAndBiasesAuth: {
apiKey: '<string>',
serverUrl: '<string>',
enableUsageReports: true,
enableRateLimiting: true
},
endpointConfiguration: {additionalDns: ['<string>']},
pathBasedRouting: {}
})
};
fetch('https://api.coreweave.com/v1alpha1/inference/gateways/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gateway": {
"spec": {
"id": "<string>",
"name": "<string>",
"zones": [
"<string>"
],
"coreWeaveAuth": {},
"weightsAndBiasesAuth": {
"apiKey": "<string>",
"serverUrl": "<string>",
"enableUsageReports": true,
"enableRateLimiting": true
},
"organizationId": "<string>",
"endpointConfiguration": {
"additionalDns": [
"<string>"
]
},
"bodyBasedRouting": {
"apiType": "API_TYPE_OPENAI"
},
"headerBasedRouting": {
"headerName": "<string>"
},
"pathBasedRouting": {}
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conditions": [
{
"type": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"endpoints": [
"<string>"
]
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Update gateway
Update the spec of a CoreWeave inference gateway.
PATCH
/
v1alpha1
/
inference
/
gateways
/
{id}
Update gateway
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
name, zones, the chosen authentication type, the chosen
routing strategy) — this endpoint does not accept a field
mask.
Example request
curl -X PATCH https://api.coreweave.com/v1alpha1/inference/gateways/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
The unique identifier of the gateway to update, UUID format
Body
application/json
Request for UpdateGateway
The unique identifier of the gateway to update, UUID format
The human readable name of the gateway
The zones to make the gateway available in, limits where deployments associated with the gateway may exist, no zones means all may be used.
CoreWeave IAM
Weights & Biases
Show child attributes
Show child attributes
Additional endpoint configuration options
Show child attributes
Show child attributes
Body based routing
Show child attributes
Show child attributes
Header based routing
Show child attributes
Show child attributes
Path based routing
Response
OK
Response for UpdateGateway
The updated gateway
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I